#ifndef SOCREGSVIEWER_H
#define SOCREGSVIEWER_H

#include <QWidget>
#include <QtWidgets>
#include "peripheralwidget.h"

#if defined(LPPMON_SDK_BUILD)
#  define LPPMON_SDK_EXPORT Q_DECL_EXPORT
#else
#  define LPPMON_SDK_EXPORT Q_DECL_IMPORT
#endif

class LPPMON_SDK_EXPORT socRegsViewer : public QScrollArea
{
    Q_OBJECT
public:
    explicit socRegsViewer(const QString& name,QWidget *parent = 0);
    peripheralWidget* peripheral(int index);

signals:

public slots:
    void addPeripheral(peripheralWidget* peripheral);

private:
    QWidget* p_scrollAreaWdgt;
    QString p_name;
    QGridLayout* p_layout,*p_scrollAreaWdgtLayout;
    QLabel* p_nameLabel;
    QList<peripheralWidget*> p_peripherals;
};

#endif // SOCREGSVIEWER_H
